<%
	const modelClass = pascalCase(params.name);
%>

import { Injectable } from "@nestjs/common";
import { Db<% if (params.generateId) { %>, OptionalId<% } %> } from "mongodb";

import { BaseRepository } from "../database/base.repository.js";

import { <%= modelClass %> } from "./model/<%= kebabCase(params.name) %>.js";

@Injectable()
export class <%= pascalCase(params.name) %>Repository extends BaseRepository<
	<%_ if (params.generateId) { _%>
		OptionalId<<%= modelClass %>>
	<%_ } else { _%>
		<%= modelClass %>
	<%_ } _%>
> {
	constructor(db: Db) {
		super(db, "<%= kebabCase(params.name) %>", <%= modelClass %><% if (params.generateId) { %>, {
			generateId: "<%= params.generateId %>"
		}<% } %>);
	}
}
